#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-4mwCjdMG4N0KcqRPii1dKd-dns-internal
key:                  dns-4.0.1-4mwCjdMG4N0KcqRPii1dKd-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  b985aee672f4d30049d3821dcb1ff114
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/dns-4.0.1
hs-libraries:         HSdns-4.0.1-4mwCjdMG4N0KcqRPii1dKd-dns-internal
depends:
    array-0.5.4.0 async-2.2.3-ADK08CToinJACmhOUl3TMq
    attoparsec-0.14.1-2Lwpa9GUrZtgMvbVSsTwE
    auto-update-0.1.6-KoJK9NqjrTw2lbiUrEEdL5 base-4.15.0.0
    base16-bytestring-1.0.1.0-2vKWDJMi9RvLtvoYmdfP1d
    base64-bytestring-1.2.1.0-JsO9e8VuajE8G17lKXfVPj
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-5rSENL0PHSf9WUZRJG7DOz
    hourglass-0.2.12-B9NDQdV1zun4eGMiR0p4Eg
    iproute-1.7.11-AdFg0WbTS6c7ekSs6GvoPM mtl-2.2.2
    network-3.1.2.2-HakkElN3M7T6UpqfxM2fcC
    psqueues-0.2.7.2-H5ILmbfHzl3J9odRosbiDi

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-CVmG4ArKm8ZLUwW5t9o70P
key:                  dns-4.0.1-CVmG4ArKm8ZLUwW5t9o70P
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  d82fcfd5a2e17c4643f48e63638355e9
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/dns-4.0.1
hs-libraries:         HSdns-4.0.1-CVmG4ArKm8ZLUwW5t9o70P
depends:
    array-0.5.4.0 async-2.2.3-ADK08CToinJACmhOUl3TMq
    attoparsec-0.14.1-2Lwpa9GUrZtgMvbVSsTwE
    auto-update-0.1.6-KoJK9NqjrTw2lbiUrEEdL5 base-4.15.0.0
    base16-bytestring-1.0.1.0-2vKWDJMi9RvLtvoYmdfP1d
    base64-bytestring-1.2.1.0-JsO9e8VuajE8G17lKXfVPj
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-5rSENL0PHSf9WUZRJG7DOz
    dns-4.0.1-4mwCjdMG4N0KcqRPii1dKd-dns-internal
    hourglass-0.2.12-B9NDQdV1zun4eGMiR0p4Eg
    iproute-1.7.11-AdFg0WbTS6c7ekSs6GvoPM mtl-2.2.2
    network-3.1.2.2-HakkElN3M7T6UpqfxM2fcC
    psqueues-0.2.7.2-H5ILmbfHzl3J9odRosbiDi

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

